WINE.CONF(5)

NAME
wine.conf - Wine configuration file

DESCRIPTION
wine expects a configuration file ( $WINEPREFIX/config (~/.wine/config) ), which should conform to the following rules. A sample configuration file is available as documentation/samples/config in the Wine source distribution.

CONFIGURATION FILE FORMAT
All entries are grouped in sections; a section begins with the line
[section name]
and continues until the next section starts. Individual entries consist of lines of the form
"entry"="value"
The entry and value can be any text strings, included in double quotes; it can also contain references to environment variables surrounded by ${}. Inside the double quotes, special characters, backslashes and quotes must be escaped with backslashes. Supported section names and entries are listed below.

[Drive X]
This section is used to specify the root directory and type of each emulated DOS drive, since most Windows applications require a DOS/MS-Windows based disk drive & directory scheme, which is either provided by a real DOS partition mounted somewhere or by some carefully crafted directory layout on a Unix file system ("no-windows fake installation"). There is one such section for every drive you want to configure.

format: "Path"="<rootdirectory>"
default: none
If you mounted your dos partition as /dos and installed Microsoft Windows in C:\WINDOWS (thus it shows up as /dos/WINDOWS), then you should specify "Path"="/dos" in the [Drive C] section in order to configure /dos as the drive root of drive C:.

format: "Type"="<type>"
default: "hd"
Used to specify the drive type this drive appears as in Windows or DOS programs; supported types are "floppy", "hd", "cdrom" and "network".

format: "Label"="<label>"
default: "Drive X"
Used to specify the drive label; limited to 11 characters.

format: "Serial"="<serial>"
default: "12345678"
Used to specify the drive serial number, as an 8-character hexadecimal number.

format: "Filesystem"="<fstype>"
default: "win95"
Used to specify the type of the file system Wine should emulate on a given directory structure/underlying file system.
Supported types are "msdos" (or "fat"), "win95" (or "vfat"), "unix".
Recommended:
  "win95" for ext2fs, ReiserFS, ..., VFAT and FAT32
  "msdos" for FAT16 file systems (ugly, 8.3 naming)
You definitely do not want to use "unix" unless you intend to port programs using Winelib. Always try to avoid using a FAT16 FS. Use the VFAT/FAT32 OS file system driver instead.

format: "FailReadOnly"="<boolean>"
Read-only files may not be opened in write mode (the default is to allow opening read-only files for writing, because most Windows programs always request read-write access, even on CD-ROM drives...).

[wine]
format: "windows"="<directory>"
default: "C:\\WINDOWS"
Used to specify where Wine is supposed to have its Windows directory (which is an essential part of a Windows environment); make sure to double the backslashes. In case of e.g. C:\WINDOWS, with drive C: being configured as /home/user/wine_c, the /home/user/wine_c/WINDOWS directory would be used for this.

format: "system"="<directory>"
default: "C:\\WINDOWS\\System"
Used to specify where Wine is supposed to have its Windows system directory (again, essential part of Windows environment); make sure to double the backslashes. Given a setting of C:\WINDOWS\System (the standard setting on Windows) and a C: drive again at /home/user/wine_c, the /home/user/wine_c/WINDOWS/System directory would be used for this.

format: "temp"="<directory>"
default: "C:\\TEMP"
Used to specify a directory where Windows applications can store temporary files. E.g. with a C: drive at /home/user/wine_c, this would be the /home/user/wine_c/TEMP directory.

format: "profile"="<directory>"
default: nothing
Used to specify a directory where Windows stores special folders and the user-registry files (user.dat or ntuser.dat). Mapped to environment variable %USERPROFILE%. Set this value when running with a native NT or a native win95 directory with per-user settings.

format: "path"="<directories separated by semi-colons>"
default: "C:\\WINDOWS;C:\\WINDOWS\\SYSTEM"
Used to specify the path which will be used to find executables and dlls. Make sure to double the backslashes.

format: "GraphicsDriver"="<x11drv|ttydrv>"
default: "x11drv"
Tells Wine which graphics driver to use. Normally you'd want to use x11drv (for X11). In case you want to run programs as text console/TTY only without having Wine rely on X11 support, then use ttydrv.

format: "ShowDirSymlinks"="<0|1>"
default: "0"
Wine doesn't pass directory symlinks to Windows programs by default. Enabling this may crash some programs that do recursive lookups of a whole subdir tree in case of a symlink pointing back to itself.

format: "ShowDotFiles"="<0|1>"
default: "0"
Under Unix, files starting with a dot, are considered hidden, and should not be shown in directory listing (unless explicitly asked for), just like DOS-style hidden files. If you want them treated as regular files, set this value to 1.

[Version]
format: "Windows"="<version string>"
default: none; chosen by semi-intelligent detection mechanism based on DLL environment
Used to specify which Windows version to return to programs (forced value, overrides standard detection mechanism !). Valid settings are e.g. "win31", "win95", "win98", "win2k", "winxp". Also valid as an AppDefaults setting (recommended/preferred use).

format: "DOS"="<version string>"
default: "<Windows version specific>"
Used to specify the DOS version that should be returned to programs. Only takes effect in case Wine acts as "win31" Windows version ! Common DOS version settings include 6.22, 6.20, 6.00, 5.00, 4.00, 3.30, 3.10. Also valid as an AppDefaults setting (recommended/preferred use).

[DllOverrides]
format: "modulename"="native,builtin"
modulename can be any valid DLL module name. If no extension is specified .dll is assumed. The specified value is a comma separated list of module-types to try to load in that specific order. Case is not important and only the first letter of each type is enough to identify the type n[ative] or b[uiltin]. Also whitespace is ignored. See also commandline option --dll for details about the allowable types.
The wildcard entry "*" specifies the load order to use for modules not explicitly mentioned. If the wildcard entry is not found, then the order "native,builtin" is used.
Examples:
"kernel32"="builtin"
"kernel"="builtin"
"comdlg32"="native,builtin"
"*"="builtin,native"
When the specified module name does not contain a path, it matches only dlls loaded from the Windows system directory. If the application explicitly loads a dll from a different directory, it has to be configured separately. This can be done either by specifying the full path in the module name, or by using a path wildcard of the form "*modulename" .
For instance, the following will load the native shell32 when loaded from C:\Program Files, and the builtin when loaded from any other directory:
"C:\\\\Program Files\\\\shell32" = "native"
"*shell32" = "builtin"
Changing the load order of low-level dlls like kernel32, gdi32 or user32 to anything other than builtin will cause wine to fail because wine cannot use native versions for these libraries.
Always make sure that you have some kind of strategy in mind when you start fiddling with the current defaults and needless to say that you must know what you are doing. --debugmsg +loaddll might come in handy for experimenting with that stuff.

[serialports]
format: "com[12345678]"="<devicename>"
default: none
Used to specify the devices which are used as COM1 - COM8.

[parallelports]
format: "lpt[12345678]"="<devicename>"
default: none
Used to specify the devices which are used as LPT1 - LPT8.

[Debug]
format: "SpyExclude"="<message names separated by semicolons>"
default: none
Used to specify which messages will be excluded from the logfile.

format: "SpyInclude"="<message names separated by semicolons>"
default: none

format: "RelayExclude"="<function or dll.functions separated by semicolons>"
default: none
Used to specify which functions will be excluded from a relay debug log.

format: "RelayInclude"="<function or dll.functions separated by semicolons>"
default: include all functions
Used to specify which functions will be included in a relay debug log.

format: "RelayFromExclude"="<module names separated by semicolons>"
default: none
Used to specify a set of modules whose calls are excluded from a relay debug log.

format: "RelayFromInclude"="<module names separated by semicolons>"
default: include all modules
Used to specify the set of modules whose calls are included in a relay debug log.

format: "SnoopExclude"="<message names separated by semicolons>"
default: none
Used to specify which functions will be included in snoop debug log.

format: "SnoopInclude"="<message names separated by semicolons>"
default: include all functions
Used to specify which functions will be included in snoop debug log.

For Relay and Snoop <dllname>.* includes or excludes the whole dll. Exclude entries overwrite Include entries.

[Tweak.Layout]
format: "WineLook"="<Win31|Win95|Win98>"
default: "Win31"
Use Win95-like window displays or Win3.1-like window displays.

[Registry]
format: "LoadGlobalRegistryFiles"="<boolean>"
Global registries (stored in /etc)

format: "LoadHomeRegistryFiles"="<boolean>"
Home registries (stored in ~user/.wine/)

format: "WritetoHomeRegistryFiles"="<boolean>"
TRY to write all changes to the home registry files

format: "LoadWindowsRegistryFiles"="<boolean>"
Load Windows registry from the current Windows directory.

booleans: Y/y/T/t/1 are true, N/n/F/f/0 are false.
Defaults are read all, write to home files.

[Network]
format: "UseDnsComputerName"="<boolean>"
If Y, always override the registry setting for ComputerName with the Unix hostname.

[AppDefaults\\\\<appname>\\\\...]

This section allows specifying application-specific values for the other sections described above. <appname> is the name of the application exe file, without path. The "..." should be replaced by the name of one of the above configuration sections.
Example:
[AppDefaults\\\\sol.exe\\\\DllOverrides]
"shell32" = "native"
means that Solitaire will use "native" load order for the shell32 dll. All other applications will continue to use what was specified in the general DllOverrides section.
The only sections that support application-specific information at the moment are DllOverrides, dsound, Version and x11drv.
Make sure to use double backslashes in the section name.

SAMPLE CONFIGURATION FILE
A sample configuration file is distributed as documentation/samples/config in the Wine source distribution.

FILES

~/.wine/config
    User-specific configuration file

ENVIRONMENT VARIABLES

WINEPREFIX
    Specifies the directory that contains the per-user config file, the registry files, and the wineserver socket. The default is $HOME/.wine.

SEE ALSO
wine(1)